/**
 *  question1
 *  Author: bgaudou
 *  Description: Implement a first model containing only the grid of plots with 2 possible covers (target or free). 
 *    Display this model, target plot will be black, free plot will be white. 
 *    The target plots are chosen randomly among all the plots. 
 *    The number of targets will be a parameter of the simulation. The size of the grid is 20x20.
 */

model question1

global {
	int nbTarget <- 3;
	int nbCell <- 20;

	init {
		ask nbTarget among plot {
			cover <- "target";
			color <- #black;
		}
	}
}

grid plot height: nbCell width: nbCell {
	string cover <- "free";
	rgb color <- #white;
}

experiment q1Exp type: gui {
	output {
		display plots {
			grid plot border: #black ;
		}
	}
}
