/**
 *  question1
 *  Author: bgaudou
 *  Description: 
 */

model question2

global {
	int nbTarget <- 3;
	int nbCell <- 20;

	init {
		ask nbTarget among plot {
			cover <- "target";
			color <- #black;
		}
		
		ask plot {
			plot closest_plot <- (plot where (each.cover = "target")) with_min_of(each distance_to self);
			distance <- self distance_to closest_plot;
		}
		
		float dist_max <- (plot with_max_of each.distance).distance;
	
		loop i from: 1 to: int(dist_max + 1){
			rgb rcolor <- rnd_color(255);
			ask plot where ((each.distance <= i) and (each.color = #white)) {
				color <- rcolor;
			}
		}
	}
}

grid plot height: nbCell width: nbCell neighbors: 8 {
	string cover <- "free";
	rgb color <- #white;
	float distance <- 0.0;
}

experiment q2Exp type: gui {
	output {
		display plots {
			grid plot border: #black ;
		}
	}
}
