/**
 *  question3
 *  Author: bgaudou
 *  Description: 
 */

model question3

global {
	int nbTarget <- 3;
	int nbCell <- 50;

	init {
		ask nbTarget among plot {
			cover <- "target";
			color <- #black;
		}
		
		list<plot> nextPlots <- plot where (each.cover = "target");
		int dist <- 0;
		
		loop while: !empty(nextPlots) {
			rgb r_color <- rnd_color(255);
			ask nextPlots {
				distance <- dist;
				color <- r_color;	
			}
			list<plot> neighs <- remove_duplicates(nextPlots accumulate (each.neighbors));
			nextPlots <- neighs where (each.distance = -1);
			dist <- dist + 1;
		}
	}
}

grid plot height: nbCell width: nbCell neighbors: 8{
	string cover <- "free";
	rgb color <- #white;
	int distance <- -1;
}

experiment q3Exp type: gui {
	output {
		display plots {
			grid plot border: #black ;
		}
	}
}
